com.genesyslab.wfm7.API.service.schedule720

## Interface ESchSortMode

-     public interface ESchSortMode

  Schedule Agent Day Sort Mode Enumeretor. Schedule sort modes can also be combined with `ECfgSortMode.Agent` to define secondary sort criteria. All secondary sort modes should be encoded into upper bytes of 32 bit sort mode.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SCH_SORT_FIRST_EXCEPTION_START` Sort by first exception start time
    `static int` | `SCH_SORT_NONE` No sort
    `static int` | `SCH_SORT_OVERTIME_HOURS` Sort by schedule daily overtime hours
    `static int` | `SCH_SORT_OVERTIME_HOURS_AGENT_FIRST_NAME` (SCH_SORT_OVERTIME_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_OVERTIME_HOURS_AGENT_LAST_NAME` (SCH_SORT_OVERTIME_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
    `static int` | `SCH_SORT_PAID_HOURS` Sort by schedule paid hours
    `static int` | `SCH_SORT_PAID_HOURS_AGENT_FIRST_NAME` (SCH_SORT_PAID_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_PAID_HOURS_AGENT_LAST_NAME` (SCH_SORT_PAID_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
    `static int` | `SCH_SORT_PERIOD_PAID` Sort by period paid hours
    `static int` | `SCH_SORT_SHIFT_END` Sor by shift end time
    `static int` | `SCH_SORT_SHIFT_END_AGENT_FIRST_NAME` (SCH_SORT_SHIFT_END + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_END_AGENT_LAST_NAME` (SCH_SORT_SHIFT_END + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_LENGTH` Sort by shift duration
    `static int` | `SCH_SORT_SHIFT_LENGTH_AGENT_FIRST_NAME` (SCH_SORT_SHIFT_LENGTH + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_LENGTH_AGENT_LAST_NAME` (SCH_SORT_SHIFT_LENGTH + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_NAME` Sort by shift name
    `static int` | `SCH_SORT_SHIFT_NAME_AGENT_FIRST_NAME` (SCH_SORT_SHIFT_NAME + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_NAME_AGENT_LAST_NAME` (SCH_SORT_SHIFT_NAME + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_START` Sort by shift start time
    `static int` | `SCH_SORT_SHIFT_START_AGENT_FIRST_NAME` (SCH_SORT_SHIFT_START + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
    `static int` | `SCH_SORT_SHIFT_START_AGENT_LAST_NAME` (SCH_SORT_SHIFT_START + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
    `static int` | `SCH_SORT_USER_NAME` Sort by pending schedule days by user name
    `static int` | `SCH_SORT_WEEK_PAID` Sort by week paid hours

- - ### Field Detail

    - #### SCH_SORT_NONE

          static final int SCH_SORT_NONE

      No sort
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_START

          static final int SCH_SORT_SHIFT_START

      Sort by shift start time
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_LENGTH

          static final int SCH_SORT_SHIFT_LENGTH

      Sort by shift duration
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_NAME

          static final int SCH_SORT_SHIFT_NAME

      Sort by shift name
      See Also:
        Constant Field Values

    - #### SCH_SORT_PAID_HOURS

          static final int SCH_SORT_PAID_HOURS

      Sort by schedule paid hours
      See Also:
        Constant Field Values

    - #### SCH_SORT_OVERTIME_HOURS

          static final int SCH_SORT_OVERTIME_HOURS

      Sort by schedule daily overtime hours
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_END

          static final int SCH_SORT_SHIFT_END

      Sor by shift end time
      See Also:
        Constant Field Values

    - #### SCH_SORT_WEEK_PAID

          static final int SCH_SORT_WEEK_PAID

      Sort by week paid hours
      See Also:
        Constant Field Values

    - #### SCH_SORT_PERIOD_PAID

          static final int SCH_SORT_PERIOD_PAID

      Sort by period paid hours
      See Also:
        Constant Field Values

    - #### SCH_SORT_FIRST_EXCEPTION_START

          static final int SCH_SORT_FIRST_EXCEPTION_START

      Sort by first exception start time
      See Also:
        Constant Field Values

    - #### SCH_SORT_USER_NAME

          static final int SCH_SORT_USER_NAME

      Sort by pending schedule days by user name
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_START_AGENT_FIRST_NAME

          static final int SCH_SORT_SHIFT_START_AGENT_FIRST_NAME

      (SCH_SORT_SHIFT_START + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_START_AGENT_LAST_NAME

          static final int SCH_SORT_SHIFT_START_AGENT_LAST_NAME

      (SCH_SORT_SHIFT_START + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_END_AGENT_FIRST_NAME

          static final int SCH_SORT_SHIFT_END_AGENT_FIRST_NAME

      (SCH_SORT_SHIFT_END + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_END_AGENT_LAST_NAME

          static final int SCH_SORT_SHIFT_END_AGENT_LAST_NAME

      (SCH_SORT_SHIFT_END + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_LENGTH_AGENT_FIRST_NAME

          static final int SCH_SORT_SHIFT_LENGTH_AGENT_FIRST_NAME

      (SCH_SORT_SHIFT_LENGTH + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_LENGTH_AGENT_LAST_NAME

          static final int SCH_SORT_SHIFT_LENGTH_AGENT_LAST_NAME

      (SCH_SORT_SHIFT_LENGTH + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_NAME_AGENT_FIRST_NAME

          static final int SCH_SORT_SHIFT_NAME_AGENT_FIRST_NAME

      (SCH_SORT_SHIFT_NAME + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_SHIFT_NAME_AGENT_LAST_NAME

          static final int SCH_SORT_SHIFT_NAME_AGENT_LAST_NAME

      (SCH_SORT_SHIFT_NAME + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_PAID_HOURS_AGENT_FIRST_NAME

          static final int SCH_SORT_PAID_HOURS_AGENT_FIRST_NAME

      (SCH_SORT_PAID_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_PAID_HOURS_AGENT_LAST_NAME

          static final int SCH_SORT_PAID_HOURS_AGENT_LAST_NAME

      (SCH_SORT_PAID_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_OVERTIME_HOURS_AGENT_FIRST_NAME

          static final int SCH_SORT_OVERTIME_HOURS_AGENT_FIRST_NAME

      (SCH_SORT_OVERTIME_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_FIRST_NAME << 8))
      See Also:
        Constant Field Values

    - #### SCH_SORT_OVERTIME_HOURS_AGENT_LAST_NAME

          static final int SCH_SORT_OVERTIME_HOURS_AGENT_LAST_NAME

      (SCH_SORT_OVERTIME_HOURS + (ECfgSortMode.Agent.CFG_AGENT_SORT_LAST_NAME << 8))
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.